#!/bin/bash -f

##
## Execute script on gpgnode-04
##

LOGFILE=sumeuler-fchunk.log

GPG16x4=gpgnode-05:4,gpgnode-06:4,gpgnode-07:4,gpgnode-08:4,gpgnode-09:4,gpgnode-10:4,gpgnode-11:4,gpgnode-12:4,gpgnode-13:4,gpgnode-14:4,gpgnode-15:4,gpgnode-16:4,gpgnode-17:4,gpgnode-18:4,gpgnode-19:4,gpgnode-20:4

for chunksize in 1000 200 100 50 25 20 15 10; do
  echo >> $LOGFILE
  echo ==================================== >> $LOGFILE
  echo CHUNKSIZE=$chunksize! >> $LOGFILE
  echo >> $LOGFILE
  BENCH=sumeuler WORKER=pycket HOSTS=$GPG16x4 ./bench.sh fchunk 1001 64000 $chunksize no >> $LOGFILE 2>&1
  BENCH=sumeuler WORKER=pycket HOSTS=$GPG16x4 ./bench.sh fchunk 1001 64000 $chunksize graph >> $LOGFILE 2>&1
  for i in 3 4 5 6 7 8 9 10 11; do
    BENCH=sumeuler WORKER=pycket HOSTS=$GPG16x4 ./bench.sh fchunk 1001 64000 $chunksize no >> $LOGFILE 2>&1
  done
done
