# sumeuler-mchunk_size=20_sample.plot (sampled map times/overhead vs costs)

#set terminal pdf
#set terminal png
set datafile separator ","
set datafile commentschars "#%"
set xtics nomirror
set xlabel "map task"
set xrange [0:3200]
set xtics auto
set ytics nomirror
set ylabel "time [ms]"
set yrange [0:500]
set ytics auto
set y2label "cost [ms]"
set y2range [0:500]
set y2tics auto
#set grid ytics lt 0 lw 1
#set grid xtics lt 0 lw 1
f(x) = 1.36359*x + 2.08176
set key top right
plot "sumeuler-mchunk_size=20_sample.csv" using ($1-3200):3 axis x1y1 with points lc 3 title "overhead", \
     "sumeuler-mchunk_size=20_sample.csv" using ($1-3200):2 axis x1y1 with points lc 1 title "runtime", \
     "sumeuler-mchunk_size=20_sample.csv" using ($1-3200):($4/1000) axis x1y2 with points lc 2 title "cost", \
     "sumeuler-mchunk_size=20_sample.csv" using ($1-3200):(f($4/1000)) axis x1y2 with lines lc 2 title "adjusted cost"
