# sumeuler-mchunk_size=20_sample_error.plot (error of adjusted cost to observed map times)

#set terminal pdf
#set terminal png
set datafile separator ","
set datafile commentschars "#%"
set xtics nomirror
set xlabel "map task"
set xrange [0:3200]
set xtics auto
set ytics nomirror
set ylabel "error [%]"
set yrange [0:100]
set ytics auto
set grid ytics lt 0 lw 1
#set grid xtics lt 0 lw 1
f(x) = 1.36359*x + 2.08176
error(x,y) = 100 * (x - y) / y
set key top right
plot "sumeuler-mchunk_size=20_sample.csv" using ($1-3200):(error($2,f($4/1000))) axis x1y1 with linespoints lc 2 title "cost error"
